### Property

# Vte Terminal:scroll-on-insert

since: 0.76

#### Declaration

    property scroll-on-insert: gboolean [ read, write ]

#### Description [src]

Controls whether or not the terminal will forcibly scroll to the bottom of the viewable history when the text is inserted (e.g. by a paste).

Type:`gboolean`

Available since: 0.76

Default value | FALSE
Getter method | `vte_terminal_get_scroll_on_insert()`
Setter method | `vte_terminal_set_scroll_on_insert()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no